[RCD] Login to git-master not working

Martin Wodrich listuser at freexp.de
Mon Sep 1 20:44:12 CEST 2014


Am 31.08.2014 11:46, schrieb till: 

> On Sun, Aug 31, 2014 at 11:40 AM, Martin Wodrich <listuser at freexp.de> wrote:
> 
>> Am 31.08.2014 10 [1]:16, schrieb Cor Bosman:
>> 
>>>> In RCLogerror I found:
>>>> -------------- snip ----------------------
>>>> [31-Aug-2014 08:02:41 Europe/Berlin] PHP Fatal error: Class 'Net_IDNA2' not
>>>> found in
>>>> /kunden/xxxxxx_xxxxx/webseiten/webmail-beta/program/lib/Roundcube/bootstrap.php
>>>> on line 438
>>>> -------------- snip ----------------------
>>> 
>>> Maybe you had an old composer file? Make sure you get the latest
>>> composer.json-dist from git, and run 'composer update'
>> 
>> I got the next error:
>> ------------------- snip --------------------------
>> xxxxx at xxxxxx ~/webseiten/webmail-beta $ ./composer.phar update
>> Loading composer repositories with package information
>> Initializing PEAR repository http://pear.php.net [2]
>> Updating dependencies (including
>> require-dev) Your requirements could not be resolved to an installable set
>> of packages.
>> 
>> Problem 1
>> - pear-pear.php.net/Net_LDAP2 [3] 2.0.12 required ext-ldap * -> the
>> requested PHP extension ldap is missing from your system.
>> - pear-pear.php.net/Net_LDAP2 [3] 2.1.0 required ext-ldap * -> the requested
>> PHP extension ldap is missing from your system.
> 
> ^^^^ The error seems obvious. You want to install code that requires a PHP extension which you don't have. 

I see, but that doesn't help me.
The System is a management server from DF, not a full dedicated server.
So I can't install a PHP Extension, but I doesn't want to install a PHP
Extension. I only want to install/update the composer to run RC from
git-master.

-- 
Mit freundlichen Grüßen
Martin Wodrich


More information about the dev mailing list